Page MenuHomeFreeBSD

Fix qmath(3) with new GCC
ClosedPublic

Authored by trasz on Aug 27 2019, 6:30 PM.

Details

Summary

Fix build problems in qmath(3) with new GCC. Trivial, except for the signedness part in qmath.h.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

trasz created this revision.Aug 27 2019, 6:30 PM
trasz edited the summary of this revision. (Show Details)Aug 27 2019, 6:31 PM
lwhsu added a subscriber: lwhsu.Aug 28 2019, 1:57 PM
asomers added inline comments.Aug 28 2019, 2:54 PM
sys/sys/qmath.h
270 ↗(On Diff #61366)

Technically, shouldn't you cast it _before_ inverting it?

-(int64_t)(Q_ABS(iv) << Q_NFBITS(q))
trasz marked an inline comment as done.Aug 29 2019, 7:39 AM

Note that I'm committing it without waiting for a proper acceptance due to being a build fix.

sys/sys/qmath.h
270 ↗(On Diff #61366)

Thanks; fixed.

This revision was not accepted when it landed; it landed in state Needs Review.Aug 29 2019, 7:39 AM
This revision was automatically updated to reflect the committed changes.
trasz marked an inline comment as done.